package

// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
    "github.com/Azure/go-autorest/autorest"
    "github.com/gofrs/uuid"
)

// The package's fully qualified name.
const fqdn = "go-sdk"

            // CardFormURLModelType ...
            type CardFormURLModelType struct {
            // URL - URL to the requested form.
            URL *string `json:"url,omitempty"`
            }

            // CardGatewayCartResponseModelType ...
            type CardGatewayCartResponseModelType struct {
            GatewayResponse *GatewayResponseModelType `json:"gatewayResponse,omitempty"`
            Cart *CartModelType `json:"cart,omitempty"`
            // Token - Card token.
            Token *string `json:"token,omitempty"`
            }

            // CardModelType ...
            type CardModelType struct {
            // Ccn - Card number.
            Ccn *string `json:"ccn,omitempty"`
            // FullName - Full name located on the card.
            FullName *string `json:"fullName,omitempty"`
            // ExpMonth - Expiration month.
            ExpMonth *int32 `json:"expMonth,omitempty"`
            // ExpYear - Expiration year.
            ExpYear *int32 `json:"expYear,omitempty"`
            // Cvv - Card verification value (security code). This value is not stored permanently.
            Cvv *string `json:"cvv,omitempty"`
            // CardType - Type of card (amex, diners_club_carte_blanche, diners_club_international,
            // jcb, laser, visa_electron, visa, mastercard, discover, dankort, maestro, uatp, mir).
            CardType *string `json:"cardType,omitempty"`
            // CvvTTL - Remaining ttl before the CVV gets deleted.
            CvvTTL *int32 `json:"cvvTtl,omitempty"`
            // TTL - The card's time to live in seconds. Once expired the
            // card is deleted from the vault.
            TTL *int32 `json:"ttl,omitempty"`
            }

            // CardProcessModelType ...
            type CardProcessModelType struct {
            GatewayRequest *GatewayRequestModelType `json:"gatewayRequest,omitempty"`
            Cart *CartModelType `json:"cart,omitempty"`
            }

            // CardProxyModelType ...
            type CardProxyModelType struct {
            // URL - URL to use on the payment gateway request.
            URL *string `json:"url,omitempty"`
            // HTTPMethod - HTTP method to use on the payment gateway request.
            HTTPMethod *string `json:"httpMethod,omitempty"`
            // Headers - Headers to use on the payment gateway request.
            Headers *[]HeadersModelType `json:"headers,omitempty"`
            // Body - Body to use on the payment gateway request.
            Body *string `json:"body,omitempty"`
            }

            // CardReadModelType ...
            type CardReadModelType struct {
            // FirstSix - First six digits of the card number.
            FirstSix *string `json:"firstSix,omitempty"`
            // LastFour - Last four digits of the card number.
            LastFour *string `json:"lastFour,omitempty"`
            // Ccn - Card number.
            Ccn *string `json:"ccn,omitempty"`
            // ExpMonth - Expiration month.
            ExpMonth *int32 `json:"expMonth,omitempty"`
            // ExpYear - Expiration year.
            ExpYear *int32 `json:"expYear,omitempty"`
            // FullName - Full name located on the card.
            FullName *string `json:"fullName,omitempty"`
            // CardType - Type of card (amex, diners_club_carte_blanche, diners_club_international,
            // jcb, laser, visa_electron, visa, mastercard, discover, dankort, maestro, uatp, mir).
            CardType *string `json:"cardType,omitempty"`
            // CvvTTL - Remaining ttl before the CVV gets deleted.
            CvvTTL *int32 `json:"cvvTtl,omitempty"`
            // TTL - Remaining ttl before the card gets deleted. If -1, card lives forever until manually deleted.
            TTL *int32 `json:"ttl,omitempty"`
            }

            // CardTokenModelType ...
            type CardTokenModelType struct {
            // Token - Card token.
            Token *string `json:"token,omitempty"`
            }

            // CardTTLModelType ...
            type CardTTLModelType struct {
            // TTL - The card's time to live in seconds. Once expired the
            // card is deleted from the vault. If -1, card lives forever until
            // manually deleted.
            TTL *int32 `json:"ttl,omitempty"`
            }

            // CardTTLReadModelType ...
            type CardTTLReadModelType struct {
            // CvvTTL - The card's CVV time to live in seconds. Once expired the
            // CVV is deleted from the vault.
            CvvTTL *int32 `json:"cvvTtl,omitempty"`
            // TTL - The card's time to live in seconds. Once expired the
            // card is deleted from the vault. If -1, card lives forever until
            // manually deleted.
            TTL *int32 `json:"ttl,omitempty"`
            }

            // CartItemModelType ...
            type CartItemModelType struct {
            // Description - Description of the cart item.
            Description *string `json:"description,omitempty"`
            // Amount - Cost of the cart item.
            Amount *float64 `json:"amount,omitempty"`
            }

            // CartModelType ...
            type CartModelType struct {
            // CultureCode - ISO 639-1 (language) and ISO 3166-1 (country) code.
            CultureCode *string `json:"cultureCode,omitempty"`
            // CartItems - List of cart items.
            CartItems *[]CartItemModelType `json:"cartItems,omitempty"`
            // Total - Total of the cart item amounts. The total is validated against the
            // sum of the cart item amounts.
            Total *float64 `json:"total,omitempty"`
            // GatewayIntegersOnly - Some payment gateways only accept integers. If true, it will multiply
            // the total by 100. For instance, 10.01 will be submitted to the gateway
            // as 1001.
            GatewayIntegersOnly *bool `json:"gatewayIntegersOnly,omitempty"`
            }

            // ClientErrorModelType ...
            type ClientErrorModelType struct {
            // Message - Client error message.
            Message *string `json:"message,omitempty"`
            }

            // CultureModelType ...
            type CultureModelType struct {
            // CultureCode - ISO 639-1 (language) and ISO 3166-1 (country) code.
            CultureCode *string `json:"cultureCode,omitempty"`
            // CultureName - Full name of the language and country.
            CultureName *string `json:"cultureName,omitempty"`
            // CurrencySymbol - Symbol of the currency.
            CurrencySymbol *string `json:"currencySymbol,omitempty"`
            }

            // DownloadURLModelType ...
            type DownloadURLModelType struct {
            // URL - The URL to GET the decrypted file. The URL expires in 5 minutes.
            URL *string `json:"url,omitempty"`
            }

            // EphemeralKeyModelType ...
            type EphemeralKeyModelType struct {
            // EphemeralKey - One time use expiring key.
            EphemeralKey *uuid.UUID `json:"ephemeralKey,omitempty"`
            }

            // FileStatusModelType ...
            type FileStatusModelType struct {
            FileStatus *string `json:"fileStatus,omitempty"`
            }

            // GatewayRequestModelType ...
            type GatewayRequestModelType struct {
            // URL - URL to use on the payment gateway request.
            URL *string `json:"url,omitempty"`
            // HTTPMethod - HTTP method to use on the payment gateway request.
            HTTPMethod *string `json:"httpMethod,omitempty"`
            // Headers - Headers to use on the payment gateway request.
            Headers *[]HeadersModelType `json:"headers,omitempty"`
            // Body - Body to use on the payment gateway request.
            Body *string `json:"body,omitempty"`
            }

            // GatewayResponseModelType ...
            type GatewayResponseModelType struct {
            // Headers - Headers from the payment gateway response.
            Headers *[]HeadersModelType `json:"headers,omitempty"`
            // StatusCode - HTTP status code from the payment gateway response.
            StatusCode *int32 `json:"statusCode,omitempty"`
            // ContentType - Content type from the payment gateway response.
            ContentType *string `json:"contentType,omitempty"`
            // Body - Body from the payment gateway response.
            Body *string `json:"body,omitempty"`
            }

            // HeadersModelType ...
            type HeadersModelType struct {
            // Name - Name of the header.
            Name *string `json:"name,omitempty"`
            // Value - Value of the header.
            Value *string `json:"value,omitempty"`
            }

            // PlaintextCustomerIdentifierModelType ...
            type PlaintextCustomerIdentifierModelType struct {
            // Plaintext - Secret text to vault.
            Plaintext *string `json:"plaintext,omitempty"`
            // CustomIdentifier - Client provided identifier tying the tokens back to some other client data.
            CustomIdentifier *string `json:"customIdentifier,omitempty"`
            }

            // PlaintextModelType ...
            type PlaintextModelType struct {
            // Plaintext - Secret text.
            Plaintext *string `json:"plaintext,omitempty"`
            }

            // ServerErrorModelType ...
            type ServerErrorModelType struct {
            // Type - A reference to the type of error
            // returned.
            Type *string `json:"type,omitempty"`
            // Title - Title/summary of the error.
            Title *string `json:"title,omitempty"`
            // Status - HTTP status code.
            Status *int32 `json:"status,omitempty"`
            // Detail - Detailed error message.
            Detail *string `json:"detail,omitempty"`
            // TraceID - Identifies the request associated
            // with the error.
            TraceID *string `json:"traceId,omitempty"`
            }

            // SetObjectType ...
            type SetObjectType struct {
            autorest.Response `json:"-"`
            Value interface{} `json:"value,omitempty"`
            }

            // TokenCustomIdentifierModelType ...
            type TokenCustomIdentifierModelType struct {
            // Token - Reference to the vaulted secret.
            Token *string `json:"token,omitempty"`
            // CustomIdentifier - Client provided identifier tying the tokens back to some other client data.
            CustomIdentifier *string `json:"customIdentifier,omitempty"`
            }

            // TokenModelType ...
            type TokenModelType struct {
            // Token - Reference to the vaulted secret.
            Token *string `json:"token,omitempty"`
            }

            // UploadURLModelType ...
            type UploadURLModelType struct {
            // URL - The URL to PUT the file. The URL expires in 5 minutes.
            URL *string `json:"url,omitempty"`
            // FileName - Tokenized file name.
            FileName *string `json:"fileName,omitempty"`
            // WsURL - WebSocket URL to receive messages on the status of the file.
            // It returns the following jSON response {"status":"string","detailedMessage":"string","url":"string"}
            // The status can be one of the following: Waiting on upload, Encrypting, Vaulted, Decrypting, Decrypted, Error.
            // The url property will contain a download url when the status is Decrypted. The download url is valid for 5 minutes.
            WsURL *string `json:"wsUrl,omitempty"`
            }

            // WsURLModelType ...
            type WsURLModelType struct {
            // WsURL - WebSocket URL to receive messages on the status of the file.
            // It returns the following jSON response {"status":"string","detailedMessage":"string","url":"string"}
            // The status can be one of the following: Waiting on upload, Encrypting, Vaulted, Decrypting, Decrypted, Error.
            // The url property will contain a download url when the status is Decrypted. The download url is valid for 5 minutes.
            WsURL *string `json:"wsUrl,omitempty"`
            }

